Bug 18702 - Translatability: Get rid of exposed if statement in tt for translated onboardingstep2.tt
Summary: Translatability: Get rid of exposed if statement in tt for translated onboard...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-30 16:49 UTC by Marc Véron
Modified: 2017-06-13 05:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18702: Translatability: Get rid of exposed if statement in tt for translated onboardingstep2.tt (2.71 KB, patch)
2017-05-30 16:54 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18702: Translatability: Get rid of exposed if statement in tt for translated onboardingstep2.tt (2.79 KB, patch)
2017-06-05 20:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-30 16:49:34 UTC
The file onboardingstep2.tt exposes the following to translations:

"[%% IF (categories && categories.count > 1 ) # This if statement checks if "
"the categories variable handed to this template # by onboarding.pl has data "
"in it. If the categories variable does have data # in it this means that the "
"user has previously imported sample patron category # data and so we do not "
"need to show them the create patron category screen 1, #instead we can "
"display a screen with ubtton redirecting the user to step 3 %%] "

Translators should not be confronted with such internals.
Comment 1 Marc Véron 2017-05-30 16:54:18 UTC
Created attachment 63850 [details] [review]
Bug 18702: Translatability: Get rid of exposed if statement in tt for translated onboardingstep2.tt

The file onboardingstep2.tt exposes the following to translations:

"[%% IF (categories && categories.count > 1 ) # This if statement checks if "
"the categories variable handed to this template # by onboarding.pl has data "
"in it. If the categories variable does have data # in it this means that the "
"user has previously imported sample patron category # data and so we do not "
"need to show them the create patron category screen 1, #instead we can "
"display a screen with ubtton redirecting the user to step 3 %%] "

Translators should not be confronted with such internals. This patch removes it

To test:
- Verify that code change makes sense
- Run QA tools
- Bonus test: Create a new "language" aa-AA and verify that the lines above
  are no longer exposed.
Comment 2 Jonathan Druart 2017-06-05 20:01:57 UTC
Created attachment 63988 [details] [review]
Bug 18702: Translatability: Get rid of exposed if statement in tt for translated onboardingstep2.tt

The file onboardingstep2.tt exposes the following to translations:

"[%% IF (categories && categories.count > 1 ) # This if statement checks if "
"the categories variable handed to this template # by onboarding.pl has data "
"in it. If the categories variable does have data # in it this means that the "
"user has previously imported sample patron category # data and so we do not "
"need to show them the create patron category screen 1, #instead we can "
"display a screen with ubtton redirecting the user to step 3 %%] "

Translators should not be confronted with such internals. This patch removes it

To test:
- Verify that code change makes sense
- Run QA tools
- Bonus test: Create a new "language" aa-AA and verify that the lines above
  are no longer exposed.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-06-05 20:17:39 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2017-06-06 19:03:29 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Katrin Fischer 2017-06-13 05:34:22 UTC
Onboarding is a 17.05 feature - so this patch is not needed for 16.11.x.